<bugID>674161<Summary>Middle mouse paste is not subject to the javascript: URL security changes in bug 656433 (current page's principal shouldn't be inherited)</Summary><Description>(Split from bug 405620 -- originally reported by georgi)

1. Select the text 
      javascript:alert(document.cookie)
2. Middle-click a blank area of another web page

Result: XSS!!1

Combined with bug 405620, this is perhaps a little worse than the other javascript: URL bugs. But it only affects Linux users.</Description></bugID>